Joomla
Joomla!® is free software released under the GNU General Public License.

Pre-Installation Check


If any of these items are not supported (marked as No) then please take actions to correct them.
You cannot install Joomla! until your setup meets the requirements below.

PHP Version >= 5.3.10 Yes
Magic Quotes GPC Off Yes
Register Globals Off Yes
Zlib Compression Support Yes
XML Support Yes
Database Support:
()
No
INI Parser Support Yes
JSON Support Yes
configuration.php Writeable No

Recommended settings:


These settings are recommended for PHP in order to ensure full compatibility with Joomla.
However, Joomla! will still operate if your settings do not quite match the recommended configuration.

Directive Recommended Actual
Safe Mode Off Off
Display Errors Off Off
File Uploads On On
Magic Quotes Runtime Off Off
Output Buffering Off On
Session Auto Start Off Off
Native ZIP support On On